.modal
{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
  
  pointer-events: none;
  opacity: 0;
  
  z-index: 999;
}

.modal.is-active
{
  pointer-events: auto;
  opacity: 1;
}

.modal__bg
{
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgb(255, 255, 255);

  opacity: 1;

  pointer-events: none;

  z-index: 998;

  transition: opacity 0.6s ease;
}

.modal__bg.is-half
{
  opacity: 0.3;
}

.modal__bg.is-hide
{
  opacity: 0;
}

.modal__content
{
  position: relative;
  z-index: 1000;
}

.modal__content.is-active
{
  opacity: 1;
}

.modal__content.is-closing
{
  opacity: 0;
  transition-delay: 0.3s;
}

.modal__content__bg
{
  width: clamp(400px, 50vw, 600px);
  height: auto;
  display: block;
  aspect-ratio: 800 / 540;
}

.modal__content__inner
{
  position: absolute;
  padding: 40px;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.modal__content__inner h1
{
  color: #717168;
  font-size: clamp(20px, 3.0vw, 36px);
}

.modal__content__inner p
{
  margin-top: auto;
  font-weight: bold;
  color: #1992e7;
  margin-top: 0.7vw;
  margin-bottom: 1vw;
  font-size: clamp(14px, 1.0vw, 18px);
}

.modal__gamelogo
{
  width: 45%;
  margin-top: 0.5rem;
}

.modal__title
{
  width: 90%;
  margin: 0 auto;
  margin-top: 1.0vw;
  margin-bottom: 0.5vw;
}

.modal__subtitle
{
  width: 50%;
  margin: 0 auto;
  margin-bottom: 0vw;
}

.modal--btn--group
{
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-bottom: 1.0vw;
}

.modal--btn
{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 6px;

  aspect-ratio: 260 / 84;
  width: clamp(100px, 14vw, 180px);
  border: none;

  cursor: pointer;
}

.modal--btn img
{
  width: clamp(10px, 4vw, 30px);
  height: auto;
}

.modal--btn span
{
  color: #fff;
  font-size: clamp(10px, 1.4vw, 16px);
  font-weight: bold;
}

.blue--btn
{
  background: url("../assets/img/dialog_btn_01.png") no-repeat center / contain;
}

.red--btn
{
  background: url("../assets/img/dialog_btn_02.png") no-repeat center / contain;
}

@media (max-width: 480px)
{
  .modal__content__bg
  {
    width: clamp(200px, 70vw, 500px);
  }

  .modal__content__inner
  {
    padding: 20px;
  }

  .modal__content__inner h1
  {
    font-size: clamp(16px, 4vw, 32px);
  }

  .modal__content__inner p
  {
    font-size: clamp(10px, 2.0vw, 24px);
  }

  .modal__subtitle
  {
    width: 45%;
  }

  .modal__gamelogo
  {
    margin-top: 0.7vw;
    width: clamp(90px, 28vw, 450px);
  }

  .modal--btn
  {
    width: clamp(80px, 18vw, 180px);
  }
}